Package Gnumed :: Package timelinelib :: Package time :: Module typeinterface :: Class TimeType |
[frames] | no frames]

# Class TimeType

source code

    object --+
             |
            TimeType

Instance Methods
time_string(self, time) | source code
parse_time(self, time_string) | source code
get_navigation_functions(self) | source code
is_date_time_type(self) | source code
format_period(self, time_period) | source code
format_delta(self, time_period) | source code
get_min_time(self) | source code
get_max_time(self) | source code
choose_strip(self, metrics, config) | source code
mult_timedelta(self, delta, num) | source code
get_default_time_period(self) | source code
now(self) | source code
get_time_at_x(self, time_period, x_percent_of_width) Return the time at pixel `x`. | source code
div_timedeltas(self, delta1, delta2) | source code
get_max_zoom_delta(self) | source code
get_min_zoom_delta(self) | source code
get_zero_delta(self) | source code
time_period_has_nonzero_time(self, time_period) | source code
get_name(self) | source code
get_duplicate_functions(self) | source code
half_delta(self, delta) | source code
margin_delta(self, delta) | source code
event_date_string(self, time) | source code
event_time_string(self, time) | source code
eventtimes_equals(self, time1, time2) | source code
adjust_for_bc_years(self, time) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`